Last Comment Bug 500614 - l10n hg account for Vannak Eng (km-KH)
: l10n hg account for Vannak Eng (km-KH)
Status: RESOLVED FIXED
ssh-key,form,voucher
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Dumitru Gherman [:dumitru]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 01:41 PDT by Vannak Eng
Modified: 2012-01-17 03:42 PST (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
SSH public key for CVS access (746 bytes, text/plain)
2009-06-26 01:52 PDT, Vannak Eng
no flags Details
New Publice SSH (294 bytes, patch)
2012-01-12 20:11 PST, Vannak Eng
no flags Details | Diff | Splinter Review

Description Vannak Eng 2009-06-26 01:41:07 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.4) Gecko/2008103100 SUSE/3.0.4-4.6 Firefox/3.0.4
Build Identifier: 

need write access in order to commit translations to CVS

Reproducible: Always
Comment 1 Vannak Eng 2009-06-26 01:52:59 PDT
Created attachment 385339 [details]
SSH public key for CVS access
Comment 2 Marcia Knous [:marcia - use ni] 2009-07-06 17:36:36 PDT
Have you filled out the Committer's agreement and returned it to Erica? http://www.mozilla.org/hacking/committer/committers-agreement.pdf.

Also will need someone to vouch.
Comment 3 Vannak Eng 2009-08-17 03:35:42 PDT
Yes i did send it already... please advise me more on how to do it.
Comment 4 Gen Kanai [:gen] 2009-10-26 00:16:20 PDT
Marcia, has Mozilla received Vannak's signed committer's agreement?
Comment 5 Axel Hecht [:Pike] 2009-10-26 01:40:48 PDT
CCing Erica for info on the form.

Adjusting the bug to actually make sense, this needs to be HG, of course.
Comment 6 Vannak Eng 2009-10-26 07:41:52 PDT
ok i'll resend it and cc to Marcia.
Comment 7 Marcia Knous [:marcia - use ni] 2009-10-26 09:27:51 PDT
I received the form via email - Axel is this one ready to go?
Comment 8 Erica McClure 2009-10-26 09:44:22 PDT
Just received!
Comment 9 Axel Hecht [:Pike] 2009-10-26 10:02:13 PDT
This isn't ready yet, it needs a review of the actual localization still.
Comment 10 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-01-11 08:37:23 PST
Axel: is this being kept open to track that review, or has this request just stalled? I'd like to try and keep the account-request queue clear and actionable, but also want to make sure I'm not throwing a wrench into your process.
Comment 11 Axel Hecht [:Pike] 2010-01-11 08:51:37 PST
Vannak? How's Khmer doing?
Comment 12 Vannak Eng 2010-03-04 00:39:07 PST
@Axel: when will i be able to commit the translation?
Comment 13 Axel Hecht [:Pike] 2010-03-04 01:16:09 PST
See my comment 9. https://wiki.mozilla.org/L10n:Becoming_an_Official_Localization has details on how to get a bug on file to get it reviewed.
Comment 14 Vannak Eng 2010-03-04 19:25:35 PST
Hi Axel, Do I need to file a registration bug and attach localization source for the review?
Comment 15 Seth Bindernagel 2010-03-11 16:09:36 PST
Hi Vannak, 

Someone else has filed a Registration bug here:

https://bugzilla.mozilla.org/show_bug.cgi?id=502990

Do you know this person?  We should get an official Khmer registration bug on file that has all community members working on it.  In that bug, we can attach a Khmer version for review.

Have you filed or considered filing that bug yet?

https://bugzilla.mozilla.org/enter_bug.cgi?product=Mozilla%20Localizations

Look for Registration and Management under Component...but be sure to reach out in the other bug first to see who that contributor is.
Comment 16 Vannak Eng 2010-03-11 17:09:48 PST
Hi Seth, Yes I know him. He is a member of JugCam, Joomla User Group in Cambodia. So should I attach localization file to that bug for reviewing?
Comment 17 Seth Bindernagel 2010-03-11 17:56:35 PST
You could do this.  Or, consider contacting him and asking him if you can file a new bug with him as a CC on it.  Then, close that original bug and move forward with the new one by attaching your localization to that one that you file.  Making sure you manage the community and gather as many contributors should be part of the plan for your team.  Thanks again for you interest.  I am excited to see a Khmer localization one day!
Comment 18 Vannak Eng 2010-03-11 19:31:11 PST
Actually, my colleague,Piseth, and I have already been working on localizing FireFox and Thunderbird into Khmer by naming it as Mekhala and Moyura. but we think it would be better if we can also have FireFox and Thunderbird in khmer.
Comment 19 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-07-13 16:16:59 PDT
No followup here for a while, going to assume this is no longer needed.
Comment 20 Gen Kanai [:gen] 2010-07-13 19:17:09 PDT
Gavin, this bug is for Vannak to get hg access.  We still require a Firefox in Khmer.  Can we review why Vannak is not given hg access?
Comment 21 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-07-13 19:23:31 PDT
To be clear, I was not making any judgment about whether he needs or should get access - I was merely noting the fact that there has been no displayed interest in moving this forward, and resolved this bug to get it off our list of action items.

My (perhaps incorrect) understanding of the l10n access process is that resolving bug 551886 is a prerequisite to getting access, so perhaps attention is best focused there. I think Seth B or Axel are the people to poke about that.
Comment 22 :Gavin Sharp [email: gavin@gavinsharp.com] 2011-04-13 14:31:01 PDT
Still no actionable items here for the account-request processing - you can ping me if there's confusion about the process.
Comment 23 Vannak Eng 2011-04-20 21:33:58 PDT
I just got the source few weeks ago and started translating new strings around 600. it is supposed to be finished this week. i'll submit the source for review as soon as it is finished.
Comment 24 Milos Dinic [:Milos] 2011-12-14 03:25:16 PST
Reopening this bug, as we need Vannak being able to push changes l10n Khmer repo on mercurial.

Axel, can you vouch, plese?
Comment 25 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2011-12-30 11:36:54 PST
(In reply to Milos Dinic [:Milos] from comment #24)
> Reopening this bug, as we need Vannak being able to push changes l10n Khmer
> repo on mercurial.
> 
> Axel, can you vouch, plese?

ping?
Comment 26 Axel Hecht [:Pike] 2012-01-08 08:10:44 PST
Sorry for the lag, I didn't dig through the flurry of new people we took in this cycle.

This is good for IT, please create a level 1a account with scm_l10n, and send out an ldap password notification.

Please also add Vannak to @Localizers for svn access. I thought there's a bug on that somewhere, but I can't find it right now, sorry.
Comment 27 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2012-01-10 17:13:15 PST
(In reply to Axel Hecht [:Pike] from comment #26)
> Sorry for the lag, I didn't dig through the flurry of new people we took in
> this cycle.
> 
> This is good for IT, please create a level 1a account with scm_l10n, and
> send out an ldap password notification.
> 
> Please also add Vannak to @Localizers for svn access. I thought there's a
> bug on that somewhere, but I can't find it right now, sorry.

axel: thanks for the ack.

ServerOps/Marcia: This was assigned to Marcia, but changed to ServerOps in comment#26. Not sure if intentionally. Per comment#7, comment#8, Vannak's committer agreement has already been filed. Do you need any other info to complete
Comment 28 Milos Dinic [:Milos] 2012-01-10 22:11:52 PST
SSH public key attached in comment 1
Erica confirmed she has contributors agreement on file in comment 8
Axel vouched in comment 26

Protocol is for either Marcia/Gavin to now say that everything is OK and should be moved to Ops.
Comment 29 Axel Hecht [:Pike] 2012-01-11 00:40:57 PST
I'm actually the one that hand over account requests for scm_l10n over to IT, commonly neither marcia nor gavin are involved.

As I said before, this is good for IT.
Comment 30 Tim Fairfield [:timf] 2012-01-12 10:02:36 PST
LDAP account has been created and emailed to vannak.eng@gmail.com.  Passing the bug to Dumitru to complete ssh key.
Comment 31 Dumitru Gherman [:dumitru] 2012-01-12 10:04:27 PST
Vannak Eng,
You attached your private key, not your public key.
Considering that the bug is 2 years old, I would highly recommend to generate a new SSH key pair and re-send us the new public part of your key.
Thanks.
Comment 32 Vannak Eng 2012-01-12 20:11:40 PST
Created attachment 588292 [details] [diff] [review]
New Publice SSH
Comment 33 Dumitru Gherman [:dumitru] 2012-01-15 08:34:53 PST
Done. Added you to the localizers group in svn.
Comment 34 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2012-01-17 03:40:09 PST
(In reply to Dumitru Gherman [:dumitru] from comment #33)
> Done. Added you to the localizers group in svn.

Thanks dumitru!

Note You need to log in before you can comment on or make changes to this bug.